/*
   libwrap.c  TCP Wrapper for IP v4/v6
   $Header: /home/fujiwara/.cvsroot/tcpd/eval_client.c,v 1.3 2000/04/19 07:36:27 fujiwara Exp $
 */

#include <stdio.h>
#include <unistd.h>
#include <stdarg.h>
#include <errno.h>
#include <ctype.h>
#include <string.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <syslog.h>
#ifdef NO_ADDRINFO
#include "addrinfo.h"
#endif
#include "tcpd.h"
#include "tcpd_local.h"

char *eval_client(struct request_info *req)
{
	static char buff[TCPD_STRINGLENL];
	char buff2[TCPD_STRINGLEN];

	tcpd_satostr(buff2, sizeof buff2, (struct sockaddr *)&req->src);

	snprintf(buff, sizeof buff, "%s%s%s[%s]",
		req->user, req->user[0] == '\0' ? "": "@",
		req->src_name, buff2);
	return buff;
}
