/*
 $Header: /home/fujiwara/.cvsroot/tcpd/tcpd_satostr.c,v 1.6 2000/04/19 07:36:27 fujiwara Exp $

 socket addr to STRING
 */
#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netdb.h>

#ifdef NO_ADDRINFO
#include "addrinfo.h"
#endif

/* should be getnameinfo() */

void tcpd_satostr(char *str, int len, struct sockaddr *sa)
{
	if (getnameinfo((struct sockaddr *)sa, sa->sa_len, str, len,
			NULL, 0, NI_NUMERICHOST))
		sprintf(str, "AF=%d", sa->sa_family);
}
